/*
 * 5799-WZQ (C) COPYRIGHT IBM CORPORATION 1986
 * LICENSED MATERIALS - PROPERTY OF IBM
 * REFER TO COPYRIGHT INSTRUCTIONS FORM NUMBER G120-2083
 */
#ifndef PU_SEEN
#define PU_SEEN 1

/* $Header:pmp_utils.h 12.0$ */
/* $ACIS:pmp_utils.h 12.0$ */
/* $Source: /ibm/acis/usr/src/ibm/lib/pmp/RCS/pmp_utils.h,v $ */

#if !defined(lint) && !defined(LOCORE)  && defined(RCS_HDRS)
static char *rcsidpmp_utils = "$Header:pmp_utils.h 12.0$";
#endif


	/*\
	|*	int16	u_get16(fil);
	|*	int	u_put16(fil,num);
	|*	int32	u_get24(fil);
	|*	int	u_put24(fil,num);
	|*	int	u_direction(old_orient,new_orient)
	|*	int	u_rotate_coord(direction,width,height,x,y);
	|*		int  direction;
	|*		int  width,height;
	|*		int *x,*y;
	\*/

extern int pu_debug;

/***============================================================***/

#define U_ROT_NOT	0
#define U_ROT_LEFT	1
#define U_ROT_RIGHT	2
#define U_ROT_INVERT	4
#define U_ROT_ILLEGAL	8

extern int16	u_get16();
extern int	u_put16();
extern int32	u_get24();
extern int	u_put24();

extern int	u_direction();
extern int	u_rotatecoord();

#endif /* PU_SEEN */
